org.apache.ignite.events

## Class NodeValidationFailedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.NodeValidationFailedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>, Event

    public class NodeValidationFailedEvent
    extends EventAdapter

This event is triggered if any of `GridComponent`s fail to validate the joining node while join message processing.

See Also:
  `EventType.EVT_NODE_VALIDATION_FAILED`, `GridComponent.validateNode(org.apache.ignite.cluster.ClusterNode)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NodeValidationFailedEvent(ClusterNode node, ClusterNode evtNode, IgniteNodeValidationResult res)` Creates new node validation event with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusterNode` `eventNode()`
`String` `toString()`
`IgniteNodeValidationResult` `validationResult()`

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeValidationFailedEvent

    public NodeValidationFailedEvent(ClusterNode node,
                                     ClusterNode evtNode,
                                     IgniteNodeValidationResult res)

Creates new node validation event with given parameters.

Parameters:
  `node` - Local node.
  `evtNode` - Node which couldn't join the topology due to a validation failure.
  `res` - Joining node validation result.

### Method Detail

#### eventNode

    public ClusterNode eventNode()

Returns:
  Node that couldn't join the topology due to a validation failure.

#### validationResult

    public IgniteNodeValidationResult validationResult()

Returns:
  Joining node validation result.

#### toString

    public String toString()

Overrides:
  `toString` in class `EventAdapter`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022